Public Member Functions | List of all members
clan::Quadf Class Reference
clanCore Math

2D quad structure - Float More...

`#include <quad.h>`

Inheritance diagram for clan::Quadf:

## Public Member Functions
| Quadf ()
| Quadf (const Vec2< float > &new_p, const Vec2< float > &new_q, const Vec2< float > &new_r, const Vec2< float > &new_s)
| Quadf (const Rectf &rect)
| Quadf (const Quadx< float > &quad)
Public Member Functions inherited from clan::Quadx< float >
| Quadx ()
| Constructs a quad. More...
| Quadx (const Vec2< float > &new_p, const Vec2< float > &new_q, const Vec2< float > &new_r, const Vec2< float > &new_s)
| Constructs a quad. More...
| Quadx (const Rectx< float > &rect)
| Constructs a quad. More...
| Quadx (const Quadx< float > &quad)
| Constructs a quad. More...
Quadx< float > & | operator+= (const Quadx< float > &quad)
| Quad += Quad operator. More...
Quadx< float > & | operator+= (const Vec2< float > &point)
| Quad += Point operator. More...
Quadx< float > & | operator-= (const Quadx< float > &quad)
| Quad -= Quad operator. More...
Quadx< float > & | operator-= (const Vec2< float > &point)
| Quad -= Point operator. More...
Quadx< float > | operator+ (const Quadx< float > &quad) const
| Quad + Quad operator. More...
Quadx< float > | operator+ (const Vec2< float > &point) const
| Quad + Point operator. More...
Quadx< float > | operator- (const Quadx< float > &quad) const
| Quad - Quad operator. More...
Quadx< float > | operator- (const Vec2< float > &point) const
| Quad - Point operator. More...
bool | operator== (const Quadx< float > &quad) const
| Quad == Quad operator. More...
bool | operator!= (const Quadx< float > &quad) const
| Quad != Quad operator. More...
Quadx< float > & | rotate (const Vec2< float > &hotspot, const Angle &angle)
| Rotates the Quad. More...
Quadx< float > & | scale (float sx, float sy)
| Scale the Quad. More...
Quadx< float > & | scale (const Vec2< float > &hotspot, float sx, float sy)
| Scale the Quad. More...
Vec2< float > | center () const
| Returns the center point of the quad. More...
Quadx< float > & | apply_alignment (Origin origin, floatx, floaty)
| Applies an origin and offset pair to this rectangle. More...
bool | is_inside (const Vec2< float > &point) const
| Check if a point is inside or outside the quad. More...
float | get_width () const
| Returns the width of the quad. More...
float | get_height () const
| Returns the height of the quad. More...
Sizex< float > | get_size () const
| Returns the size of the rectangle. More...
Rect | get_bounds () const
| Returns the bounding box of the quad as a Rect. More...

## Additional Inherited Members
Public Attributes inherited from clan::Quadx< float >
Vec2< float > | p
| First Point. More...
Vec2< float > | q
| Second Point. More...
Vec2< float > | r
| Third Point. More...
Vec2< float > | s
| Fourth Point. More...

## Detailed Description

2D quad structure - Float

The documentation for this class was generated from the following file:

- quad.h